#include "./profinet/profinet_cb_state_ind.hpp"
#include "./profinet/profinet.hpp"

int profinet_cb_state_ind (
    pnet_t * net,
    void * arg,
    uint32_t arep,
    pnet_event_values_t event) 
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);

    return profinet_ptr->callbackStateInd(arep, event);
}